Package xg.md

# Class ProtocolMetadata

java.lang.Object
xg.md.ProtocolMetadata

public final class ProtocolMetadata extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ProtocolMetadata.protocolEndpointAddress`
Represents a protocol endpoint address
`static interface`
`ProtocolMetadata.protocolEndpointAddressOrBuilder`
`static final class`
`ProtocolMetadata.protocolIdentity`
Represents a protocol identity
`static interface`
`ProtocolMetadata.protocolIdentityOrBuilder`

## Method Summary

Modifier and Type
Method
Description
`static Descriptors.FileDescriptor`
`getDescriptor()`
`static void`
`registerAllExtensions(ExtensionRegistry registry)`
`static void`
`registerAllExtensions(ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### registerAllExtensions

public static void registerAllExtensions(ExtensionRegistryLite registry)

### registerAllExtensions

public static void registerAllExtensions(ExtensionRegistry registry)

### getDescriptor

public static Descriptors.FileDescriptor getDescriptor()